
Foreman - Bug #13984

When using image-based provisioning via hammer, the subnet is not inherited from the hostgroup

03/01/2016 11:00 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Host creation   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3262

  

Description

1. configure image-based provisioning with dhcp integration

2. try co provision a host via hammer

bundle exec bin/hammer host create --hostgroup=base --compute-resource=libvirt --name test-9 --com

pute-attributes="start=1" --provision-method image

3. An error is produced:   

Could not create the host:

  Ip can't be blank

 Expected behaviour: the subnet from the hostgroup is used by default

Workaround: specify the subnet explicitly

Related issues:

Related to Foreman - Bug #13507: Creating VMs with hammer requires too many p... Resolved 02/01/2016

Copied to Foreman - Bug #14343: When using image-based provisioning via hamme... Closed 03/01/2016

Associated revisions

Revision 17f4ee61 - 03/07/2016 06:49 AM - Ivan Necas

Fixes #13984 - inherit subnet from hostgroup even for image-based provisioning

Revision bab7ea36 - 04/18/2016 01:45 PM - Ivan Necas

Fixes #13984 - inherit subnet from hostgroup even for image-based provisioning

(cherry picked from commit 17f4ee612bf1308cb51d4644bdd76ba7dc73eea7)

History

#1 - 03/01/2016 11:02 AM - Ivan Necas

- Related to Bug #13507: Creating VMs with hammer requires too many parameters added

#2 - 03/01/2016 11:06 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3262 added

#3 - 03/07/2016 06:50 AM - Dominic Cleal

- Category set to Host creation

#4 - 03/07/2016 07:02 AM - Ivan Necas
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 17f4ee612bf1308cb51d4644bdd76ba7dc73eea7.

#5 - 03/08/2016 08:03 AM - Dominic Cleal

- translation missing: en.field_release set to 141

#6 - 03/23/2016 03:12 PM - Guido Günther

Ivan Necas wrote:

Applied in changeset 17f4ee612bf1308cb51d4644bdd76ba7dc73eea7.

 Could this be fixed on 1.10.x as well? We won't be able to update to 1.11.x in not time so this would be awesome. I'm currently using the original PR

to fix this.

#7 - 03/23/2016 03:13 PM - Guido Günther

Guido Günther wrote:

Ivan Necas wrote:

Applied in changeset 17f4ee612bf1308cb51d4644bdd76ba7dc73eea7.

 Could this be fixed on 1.10.x as well? We won't be able to update to 1.11.x in not time so this would be awesome. I'm currently using the original

PR to fix this.

 ...ahh wrong but having this fixed on 1.10.x would be awesome as well.

#8 - 03/24/2016 07:24 AM - Dominic Cleal

- Copied to Bug #14343: When using image-based provisioning via hammer, the subnet is not inherited from the hostgroup added

#9 - 03/31/2016 10:07 AM - Dominic Cleal

Sorry Guido, I messed that up and forgot to do it before 1.10.3.  I've put it on the .4 list and it remains due for 1.11.1 too.
